Webdesign Joomla : probleem met menu-item en categorie

PhilipV

Beheerder
Forumleiding
Admin
Sedert geruime tijd nu al zit ik vast in het beheer van mijn website in Joomla op een cruciaal punt : ik kan geen menu-items meer aanpassen en geen meer bijmaken.
Bij elke wijziging of creatie van een menu-item ben je immers verplicht een 'categorie' te kiezen voor het bepalen van de artikelen die in dit item zullen terecht komen.
1611438828142.png


Maar het probleem doet zich nu voor dat op het ogenblik dat ik een selectie van zo'n categorie maak in het selectiescherm :

1611438874538.png


dan gaat het scherm héél donker (nog slechts 10 % transparant of zo) en bevriest. Er gebeurt niets ...
En ik kan niet anders dan terugkeren naar het vorige scherm : creatie of wijziging niet doorgevoerd.

Forums van Joomla al doorzocht en niemand signaleert zelfs maar een gelijkaardig probleem.
Hier wel bekend ?
 

Tuts

Oprichter
Forumleiding
Admin
Met joomla nog gewerkt al vele jaren geleden, is joomla geüpdatet naar nieuwste versie ?
 

DDragon80

Beheerder
Forumleiding
Admin
Nooit echt met joomla gewerkt. Wel even met drupal en wordpress.
Ik zou eens kijken wat er in de logs te vinden is. Ik ken de locatie hiervan helaas niet. Maar als er logs bestaan, altijd daar eerst gaan zoeken. Anders blijft het maar wat giswerk...
 

PhilipV

Beheerder
Forumleiding
Admin
Poosje geleden ja ... maar zij geven eigenlijk geen support op de applicaties die je als gebruiker in hun virtuele server installeert maar verwijzen naar de leverancier daarvan. In het geval van Joomla is dat echter een ramp want dan moet je een request inleggen in GITHUB en die beperken zich tot het navlooien van hun code en hebben geen toegang tot je installatie en dus ook geen mogelijkheid tot foutopsporing.

Beetje tussen wal en schip. Maar zal het dus toch nog maar een keertje bij Neostrada proberen... Waar ik voor hun service voor eigen diensten, servers etc... overigens héél tevreden over ben !
 

Quit

Steunend lid
Vip Lid
Ticket is ingelegd in support desk ...
Soms kan dit helpen.
Ik lees PHP 7.4 Dat is niet de laatste maar wel een stabiele en één van de laatste versies. Inmiddels zijn we al bij 8 geloof ik, maar die moet je nog niet gebruiken als dit mogelijk is bij Neostrada.

Ik ga er van uit dat je Joomla ook update als er een nieuwe versie uitkomt.

Ik heb een tijd terug eens een motorclub via Pctuts geholpen dat nog met een forum versie uit 2004 van phpBB draaide. Hun hostingprovider ging telkens automatisch een versie PHP hoger en op een gegeven moment werkte het forum niet meer. Website gecrasht ... | Computerforum PcTuts.be

Daar had ik wel wat werk aan omdat ik via hun host niet meer terug kon gaan naar een versie waarop het forum nog wel werkte.
Daarom alle inloggegevens gekregen en via FTP de gehele website gedownload en via PHPMyAdmin de database geëxporteerd.
Daarna een hele oude webserver met oude php versie geïnstalleerd hier thuis op een server waarna ik hun website hier werkend had.
Daarna steeds een stapje hoger updaten tot alles uiteindelijk werkte voor de huidige PHP versie.
Daarna alles leeg gehaald bij hun hosting provider en database opnieuw aangemaakt en geïmporteerd en de volledige website geupload.

Dat was wel ff een klusje.


Wat ik hiermee wil zeggen is dat een oude Joomla versie niet goed kan werken op PHP 7.4

Dit soort dingen komen wel eens voor omdat men een Joomla versie soms niet wil updaten omdat de Template dan niet goed meer werkt. Maar eens kom je in de knel met de PHP versie.
 

PhilipV

Beheerder
Forumleiding
Admin
De upgrades van Joomla en zijn extensies enerzijds en PHP anderzijds gaan bij Neostrada inderdaad hand in hand en voer ik héél minitieus en tijdig uit.
Net nog even gekeken en staan nu zeker op de 'aanbevolen' instellingen en onderlinge samenhang.
Hoger dan 7.4 bieden zij momenteel nog niet aan in productie, waarschijnlijk omdat er in hun gans gamma van software pakketten nog teveel zitten die dan problemen zouden geven.
 
Bovenaan Onderaan